#
# spec file for package mod_python (Version 2.7.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel db-devel mm python-nothreads
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db db-devel devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp mm modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps python-nothreads rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         mod_python
%define apache_libexecdir %(apxs -q LIBEXECDIR)
%define apache_sysconfdir %(apxs -q SYSCONFDIR)
%define apache_includedir %(apxs -q INCLUDEDIR)
%define python_sitepath   %(%{apache_libexecdir}/bin/python -c 'import site; print site.sitedirs[0];')
Version:      2.7.5
Release:      70
Copyright:    2000-2001 Gregory Trubetskoy
Group:        System Environment/Daemons
Requires:     apache python-nothreads
Autoreqprov:  on
Summary:      Python module for the Apache web server
URL:          http://www.modpython.org/
Icon:         %{name}.xpm
Source:       %{name}-%{version}.tgz
Patch:        %{name}-%{version}.dif

%description
Mod_python allows embedding Python within the Apache http server for a
considerable boost in performance and added flexibility in designing
web based applications.
Apache processes requests in stages (e.g. read the request, parse
headers, check access, etc.). These stages can be implemented by
functions called handlers. Traditionally, handlers are written in C
and compiled into Apache modules. Mod_python provides a way to extend
Apache functionality by writing Apache handlers in Python. For a
detailed description of the Apache request processing process, see the
Apache API Notes.
For most programmers, the request and the authentication handlers
provide everything required. To ease migration from CGI and Httpdapy,
two handlers are provided that simulate these environments allowing a
user to run his scripts under mod_python with (for the most part) no
changes to the code.
Mod_python originates from a project called Httpdapy. For a long time
Httpdapy was not called mod_python because Httpdapy was not meant to
be Apache-specific. Httpdapy was designed to be cross-platform and in
fact was initially written for the Netscape server.

Authors:
--------
    Gregory Trubetskoy <grisha@ispol.com>

SuSE series: n

%prep
%setup
%patch

%build
rm -f config.cache;
autoconf;
export OPTFLAGS="`apxs -q CFLAGS`"
export PATH=$PATH:%{apache_libexecdir}/bin
./configure --with-apxs=%{_sbindir}/apxs %{_target_cpu}-suse-linux ;
make dso ;

%install
export PATH=$PATH:%{apache_libexecdir}/bin
make install ;
strip %{apache_libexecdir}/%{name}.so
echo "#" > apache.rc.config
echo "# enable the python module (yes|no)" >> apache.rc.config
echo "#" >> apache.rc.config
echo "HTTPD_SEC_MOD_PYTHON=yes" >> apache.rc.config
echo ""  >> apache.rc.config
echo -e "Variable:HTTPD_SEC_MOD_PYTHON\nText:Python\nLoadModule:LoadModule python_module %{apache_libexecdir}/mod_python.so\nAddModule:AddModule mod_python.c\n" \
        > %{apache_sysconfdir}/modules/%{name}
install -m 644 apache.rc.config %{_var}/adm/fillup-templates/apache-%{name}.rc.config
echo -e "LoadModule python_module %{apache_libexecdir}/mod_python.so\n" > %{apache_sysconfdir}/suse_loadmodule.conf
echo -e "AddModule mod_python.c\n" > %{apache_sysconfdir}/suse_addmodule.conf
%{_sbindir}/httpd -t           || exit 1

%post
echo -n "Updating etc/rc.config.d/apache.rc.config..."
if [ -x bin/fillup ] ; then
        test -e etc/rc.config.d/apache.rc.config || touch etc/rc.config.d/apache.rc.config
        bin/fillup -q -d = etc/rc.config.d/apache.rc.config var/adm/fillup-templates/apache-%{name}.rc.config
        echo " Done."
else
        echo
        echo "ERROR: fillup not found. This should not happen. Please compare"
        echo "etc/rc.config.d/apache.rc.config and "
        echo "var/adm/fillup-templates/apache-%{name}.rc.config and update by hand."
fi

%files
%defattr(-,root,root)
%doc COPYRIGHT CREDITS NEWS README doc-html/* Doc
%{apache_libexecdir}/lib/python2*/site-packages/%{name}/
%{apache_libexecdir}/%{name}.so
%{apache_sysconfdir}/modules/%{name}
%{_var}/adm/fillup-templates/apache-%{name}.rc.config

%changelog -n mod_python
* Tue Aug 07 2001 - kukuk@suse.de
- Don't include data over symlink twice
* Tue Jul 31 2001 - rolf@suse.de
- update to 2.7.5
- update to python 2.1
* Wed Mar 28 2001 - rolf@suse.de
- update to 2.7.2
- add Apache module file for SuSEconfig
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Tue Jan 09 2001 - rolf@suse.de
- update to version 2.7.1
- use non-threadable version of python [BUG#4750]
* Mon Nov 27 2000 - rolf@suse.de
- package build
